.green-chart {
  color: #28a745;
}

.red-chart {
  color: #dc3545;
}

.currency-table {
  direction: rtl;
}

.currency-table-header,
.currency-table-row {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  align-items: center;
  padding: 12px;
  border-bottom: 1px solid #eee;
  transition: background 0.2s;
}
.currency-table-header {
  font-weight: bold;
  background: #f0f0f0;
}

.currency-table-row:nth-child(even) {
  background: #fafafa;
}

.currency-name-col {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 8px;
}

.currency-name-col p {
  margin: 0;
}

/* لینک دکمه اطلاعات بیشتر */
.currency-table .btn-more {
  color: var(--e-global-color-text);
  text-decoration: none;
  font-size: 14px;
}

.currency-table .btn-more:hover {
  color: var(--e-global-color-secondary);
}

/* درصد تغییرات به صورت ltr */
.currency-table .diff-percent {
  direction: ltr;
  text-align: end;
}

/* نمایش دکمه فقط در دسکتاپ */
.btn-more-desktop {
  display: block;
}

.btn-more-mobile {
  display: none;
  margin-top: 8px;
}

@media (max-width: 768px) {
  .currency-table-header,
  .currency-table-row {
    grid-template-columns: 1.5fr 1fr 1.5fr 1.5fr;
    font-size: 13px;
    padding: 6px;
	    text-decoration: none;
  color: inherit;
  }

  .currency-name-col {
    gap: 6px;
  }

  .currency-name-col img {
    width: 20px;
    height: auto;
  }

  .btn-more-desktop {
    display: none;
  }

  .btn-more-mobile {
    display: block;
  }

  .currency-table .btn-more {
    font-size: 13px;
  }

  canvas.sparkline {
    width: 100% !important;
    height: 25px !important;
  }
}

.currency-table-row-link {
  display: block;
  text-decoration: none;
  color: inherit;
}


.currency-table-row:hover {
  background-color: #f9f9f9;
  cursor: pointer;
}